%define _requires_exceptions perl(Business::ISBN)

%define module	URI

Summary:	URI module for perl
Name:		perl-%{module}
Version:	1.35
Release:	%mkrel 4
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/URI/%{module}-%{version}.tar.bz2
BuildRequires:	perl
BuildRequires:	rpm-build >= 4.2-7mdk
Requires:	perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This Perl module implements the URI class. Objects of this class represent
Uniform Resource Identifier (URI) references as specified in RFC 2396.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README rfc2396.txt
%{perl_vendorlib}/URI.pm
%{perl_vendorlib}/URI
%{_mandir}/*/*


%changelog
* Tue Oct 10 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:42:34 (63281)
- rebuild

* Fri Oct 06 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:11:07 (62908)
- Import perl-URI


* Fri May 05 2006 Scott Karns <scottk@mandriva.org> 1.35-3mdk
- Add %mkrel
- Updated BuildRequires
- Updated to comply with Mandriva perl packaging policies

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.35-2mdk
- Rebuild, remove MANIFEST

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.35-1mdk
- New version 1.35
- Reenable 'make test'

* Fri Sep 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.31-3mdk
- Disable 'make test', due to an heuristic.t test failure

* Tue Jul 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.31-2mdk
- Update description

* Tue Jun 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.31-1mdk
- 1.31.

* Tue Apr 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.30-1mdk
- 1.30.

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 1.25-1mdk
- 1.25.

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.23-4mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro
- drop $RPM_OPT_FLAGS, noarch..

* Tue May 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.23-3mdk
- fix requires by adding some exceptions for unavailable perl modules

* Tue May 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.23-2mdk
- rebuild for new perl provides/requires

* Thu Jan 09 2003 Franois Pons <fpons@mandrakesoft.com> 1.23-1mdk
- 1.23.

* Fri Oct 11 2002 Franois Pons <fpons@mandrakesoft.com> 1.22-1mdk
- 1.22.

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 1.20-1mdk
- 1.20.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.19-2mdk
- rebuild for perl 5.8.0

* Mon May 13 2002 Franois Pons <fpons@mandrakesoft.com> 1.19-1mdk
- 1.19.

* Thu Jan 03 2002 Franois Pons <fpons@mandrakesoft.com> 1.18-1mdk
- 1.18.

* Tue Oct 23 2001 Franois Pons <fpons@mandrakesoft.com> 1.17-1mdk
- 1.17.

* Fri Aug 24 2001 Franois Pons <fpons@mandrakesoft.com> 1.15-1mdk
- 1.15.

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.12-3mdk
- BuildRequires:	perl-devel

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.12-2mdk
- fixed reference to perl version number explicitely.
- added missing files in packages (?!).

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.12-1mdk
- 1.12.
- Clean up spec a little bit
- Needed by eGrail.
- Macronize a little bit more.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.10-2mdk
- Rebuild for the latest perl.

* Tue Jan 30 2001 Franois Pons <fpons@mandrakesoft.com> 1.10-1mdk
- 1.10.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-1mdk
- 1.09.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.08-1mdk
- macroszifications.
- update requires on perl version.
- noarch as no compilation done.
- added documentation.
- updated description.
- 1.08.

* Tue Jun 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.07-1mdk
- update to 1.07

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.05-2mdk
- new group, rebuild, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 1.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com?
- bzip2'd sources
- updated to 1.04

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
